gfq.h File Reference

Arithmetic on GF(p^k), with p a prime number less than 2^16. More...

`#include "givaro/givconfig.h"`
`#include "givaro/givinteger.h"`
`#include "givaro/givranditer.h"`
`#include "givaro/givpoly1factor.h"`
`#include "givaro/modular-implem.h"`
`#include <string>`
`#include <vector>`
`#include "givaro/gfq.inl"`
Include dependency graph for gfq.h:

## Data Structures

class | GFqDom< Size_store >
| class GFqDom More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Arithmetic on GF(p^k), with p a prime number less than 2^16.